#!/bin/bash
#
#	Récupère l'ensemble des dépendances depuis conf/_install/dependency.xml
#	Nécessite xmllint : sudo apt install libxml2-utils
#
#
#
#


if [ "../conf/_install/dependency.xml" ]; then

	let depsCount=$(xmllint --xpath 'count(//dependenciesCollection/dependency/name)' ../conf/_install/dependency.xml)
	declare -A aDeps
	vitisVersion=master

	for (( i=1; i <= $depsCount; i++ )); do

		sName="$(xmllint --xpath 'string(//dependenciesCollection/dependency['$i']/name)' ../conf/_install/dependency.xml)"
		sVersion="$(xmllint --xpath 'string(//dependenciesCollection/dependency['$i']/version)' ../conf/_install/dependency.xml)"
		sNature="$(xmllint --xpath 'string(//dependenciesCollection/dependency['$i']/nature)' ../conf/_install/dependency.xml)"

		if [ $sName == "vitis" ]; then
			vitisVersion=$sVersion
		fi
		if [ $sNature == "modules" ] || [ $sNature == "web_services" ] || [ $sName == "vitis" ]; then
			aDeps[$i, name]=$sName
			aDeps[$i, version]=$sVersion
			aDeps[$i, nature]=$sNature
		fi

	done

	echo "[INFO] dependencies:"
	echo "vitis : $vitisVersion"
	for (( i=1; i <= $depsCount; i++ )); do

		echo "name: ${aDeps[$i, name]}"
		echo "version: ${aDeps[$i, version]}"

	done

	export vitisVersion
	export depsCount
	export aDeps
else
	echo "[ERROR] ../conf/_install/dependency.xml not found"
fi
